Rails.application.routes.draw do
	namespace :panel do
	  namespace :gallery do
	      namespace :back_end do
	      	match "get_albums" => "albums#get_albums"
	      	match "upload_image" => "albums#upload_image"
	      	match "save_tags" => "tags#save_tags"
	      	match "albums/save_tags" => "tags#save_tags"
	       	resources :albums do 
	      		match "set_cover" => "albums#set_cover"
	      		match "imgs" => "albums#imgs"
	      		match "upload_panel" => "albums#upload_panel"
	      		match "images_tags" => "albums#images_tags"
	      	end

	      	match "album_images/#!/:id" => "album_images#show"
	      	
	      	resources :album_images 


	      	resources :gallery_categories
	      	resources :tags

	      end
	      namespace :front_end do
	      	match "get_albums" => "albums#get_albums"
	      	# match "orbit_galleries" => "orbit_galleries#index"
	      	# match "gallery_category_save" => "orbit_galleries#new_category"
	      	# match "categorylist" => "orbit_galleries#categorylist"
	      	# match "gallery_category_delete" => "orbit_galleries#gallery_category_delete"
	      	# match "add_album" => "orbit_galleries#add_album"
	      	# match "create_album" => "orbit_galleries#create_album"
	      	# match "get_albums" => "orbit_galleries#get_albums"
	      	# match "upload_image" => "orbit_galleries#upload_image"
	      	# match "upload_panel" => "orbit_galleries#upload_panel"
	      	# match "get_images" => "orbit_galleries#get_images"
	      	# match "theater" => "orbit_galleries#theater"
	      	# match "delete_album" => "orbit_galleries#delete_album"
	      	# match "edit_album" => "orbit_galleries#edit_album"
	      	# match "set_cover" => "orbit_galleries#set_cover"
	      	# match "delete_images" => "orbit_galleries#delete_images"
	      	# match "update_album" => "orbit_galleries#update_album"
	      	# match "save_tags" => "orbit_galleries#save_tags"
	      	resources :albums do
	      		member do
	      			get "imgs"
	      			get "theater"
	      		end
	      	end
	      	resources :album_images 
	      end
	  	end
	end
end
